> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/emails/lookup.md).

# Lookup

{% hint style="info" %}
**Coming soon.** This endpoint is available in the profile service but is not yet exposed through the gateway. The path and payload may change when it becomes available externally.
{% endhint %}

Use this endpoint to retrieve all email addresses associated with a profile.

### Required Scopes

`profile_emails:read` *(provisional — final scope will be confirmed when this endpoint is exposed via the gateway)*

## Request

### URL

`GET /v2/profile/{id}/emails`

### Path Parameters

| Name | Required | Description |
| ---- | -------- | ----------- |
| `id` | true     | Profile ID. |

## Response

Returns an `emails` array where each entry contains:

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>email_id</td><td>Unique identifier for this email entry.</td></tr><tr><td>email_address</td><td>The email address.</td></tr><tr><td>is_primary</td><td>True if this is the profile's primary email.</td></tr><tr><td>verified</td><td>True if the email has been verified.</td></tr><tr><td>tags</td><td>List of tags associated with the email.</td></tr></tbody></table>

## Full Spec

{% openapi src="/files/CCf2AQODBJ1168Vmfc8L" path="/v2/profile/{id}/emails" method="get" %}
[openapi-profile-service.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-d088b26ede7e3b615a2eed648392b766b2122ce9%2Fopenapi-profile-service.json?alt=media)
{% endopenapi %}
